import React, { Component } from 'react'
import {
    View,
    ActivityIndicator
} from 'react-native'
import RView from '../RView/index'
import { width, height } from 'react-native-dimension'

export default class RLoading extends Component {

    constructor(props) {
        super(props)
        this.state = {
            display: this.props.display
        }
    }

    _rendering() {
        if (this.state.display) {
            return (
                <RView
                    style={{
                        position: 'absolute',
                        backgroundColor: 'rgba(0, 0, 0, 0.4)',
                        width: width(100),
                        height: height(100)
                    }}
                    justify='center'
                    align='center'
                >
                    <ActivityIndicator
                        animating={true}
                        color='white'
                        size='large'
                    />
                </RView>
            )
        }
        return <View/>
    }

    render() {
        return this._rendering()
    }

}