import React, { Component } from 'react'
import {
    TouchableWithoutFeedback
} from 'react-native'

export default class RTouchable extends React.Component {

    /*
    Props:
        style: StyleSheet
        opacity: Float = 0.5,
    */
    constructor(props) {
        super(props)
        this.state = {
            opacity: 1
        }
    }

    _onPressIn = () => {
        opacity = 0.5
        if (this.props.opacity) {
            opacity = this.props.opacity
        }
        this.setState({
            opacity: opacity
        })
    }

    _onPressOut = () => {
        this.setState({
            opacity: 1
        })
    }

    render() {
        const {
            style,
            children,
            onPress
        } = this.props

        return (
            <TouchableWithoutFeedback
                style={[style, { opacity: this.state.opacity }]}
                onPress={onPress}
                onPressIn={this._onPressIn}
                onPressOut={this._onPressOut}
            >
                {children}
            </TouchableWithoutFeedback>

        );
    }

}